package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 投票信息从对象 tp_info_cb
 * 
 * @author ruoyi
 * @date 2024-10-11
 */
public class TpInfoCb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private Long zbid;

    /** 所属板块 */
    @Excel(name = "所属板块")
    private String ssbk;

    /** 单位id */
    @Excel(name = "单位id")
    private String dwid;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String dwmc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setZbid(Long zbid) 
    {
        this.zbid = zbid;
    }

    public Long getZbid() 
    {
        return zbid;
    }
    public void setSsbk(String ssbk) 
    {
        this.ssbk = ssbk;
    }

    public String getSsbk() 
    {
        return ssbk;
    }
    public void setDwid(String dwid) 
    {
        this.dwid = dwid;
    }

    public String getDwid() 
    {
        return dwid;
    }
    public void setDwmc(String dwmc) 
    {
        this.dwmc = dwmc;
    }

    public String getDwmc() 
    {
        return dwmc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("zbid", getZbid())
            .append("ssbk", getSsbk())
            .append("dwid", getDwid())
            .append("dwmc", getDwmc())
            .toString();
    }
}
