package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TpDept;

/**
 * 投票单位Mapper接口
 * 
 * @author ruoyi
 * @date 2024-10-11
 */
public interface TpDeptMapper 
{
    /**
     * 查询投票单位
     * 
     * @param id 投票单位主键
     * @return 投票单位
     */
    public TpDept selectTpDeptById(Long id);

    /**
     * 查询投票单位列表
     * 
     * @param tpDept 投票单位
     * @return 投票单位集合
     */
    public List<TpDept> selectTpDeptList(TpDept tpDept);

    /**
     * 新增投票单位
     * 
     * @param tpDept 投票单位
     * @return 结果
     */
    public int insertTpDept(TpDept tpDept);

    /**
     * 修改投票单位
     * 
     * @param tpDept 投票单位
     * @return 结果
     */
    public int updateTpDept(TpDept tpDept);

    /**
     * 删除投票单位
     * 
     * @param id 投票单位主键
     * @return 结果
     */
    public int deleteTpDeptById(Long id);

    /**
     * 批量删除投票单位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpDeptByIds(Long[] ids);

    List<TpDept> selectTpDeptListjg(TpDept tpDept);

}
