package com.ruoyi.system.domain;

import java.util.ArrayList;
import java.util.List;

import com.ruoyi.common.annotation.DataSource;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 投票信息对象 tp_info
 * 
 * @author ruoyi
 * @date 2024-10-11
 */
@Data
public class TpInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String sfzh;

    /** IP地址 */
    @Excel(name = "IP地址")
    private String ipdz;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    private String dwmc;

    /** 投票信息从信息 */
    private List<TpInfoCb> tpInfoCbList=new ArrayList<>();
    private List<TpInfoCb> tpInfoCbListA;
    private List<TpInfoCb> tpInfoCbListB;
    private List<TpInfoCb> tpInfoCbListC;
    private List<TpInfoCb> tpInfoCbListD;


}
